This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483737 - (CVE-2009-0387) CVE-2009-0387 gstreamer-plugins-good: Array index error while parsing malformed QuickTime media files via crafted Sync Sample (aka stss) atom data
CVE-2009-0387 gstreamer-plugins-good: Array index error while parsing malform...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://trapkit.de/advisories/TKADV200...
public=20090122,reported=20090123,imp...
: Security
Depends On: 483220 483221 833907
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 08:08 EST by Jan Lieskovsky
Modified: 2012-06-20 10:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 04:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-02-03 08:08:38 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0387 to
the following vulnerability:

Array index error in the qtdemux_parse_samples function in
gst/qtdemux/qtdemux.c in GStreamer Good Plug-ins (aka
gst-plugins-good) 0.10.9 through 0.10.11 allows remote attackers to
cause a denial of service (application crash) and possibly execute
arbitrary code via crafted Sync Sample (aka stss) atom data in a
malformed QuickTime media .mov file, related to "mark keyframes."

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0387
http://www.securityfocus.com/archive/1/archive/1/500317/100/0/threaded
http://www.openwall.com/lists/oss-security/2009/01/29/3
http://trapkit.de/advisories/TKADV2009-003.txt
http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=bdc20b9baf13564d9a061343416395f8f9a92b53
http://gstreamer.freedesktop.org/releases/gst-plugins-good/0.10.12.html
http://www.securityfocus.com/bid/33405
http://www.frsirt.com/english/advisories/2009/0225
http://secunia.com/advisories/33650
Comment 1 Fedora Update System 2009-02-24 15:41:57 EST
gstreamer-plugins-good-0.10.8-10.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2009-02-24 15:57:07 EST
gstreamer-plugins-good-0.10.13-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.